# vim: set ft=config:
# See https://wiki.hyprland.org/Configuring/Window-Rules/ for more

# Force all windows to be unable to maximize themselves
# Default rule that ships with hypr
windowrulev2 = suppressevent maximize, class:.* # You'll probably like this.

# Force pavucontrol to be the center of attention
windowrulev2 = float, center 1, pin, class:^(.*pavucontrol.*)$

# Assign specific windows to specific workspaces on launch
windowrulev2 = workspace 8 silent, class:^(org.keepassxc.KeePassXC)$
windowrulev2 = workspace 8 silent, class:^(org.mozilla.Thunderbird)$
windowrulev2 = workspace 9 silent, class:^(.*vesktop.*)$
windowrulev2 = workspace 10 silent, class:^(.*spotube.*)$
windowrulev2 = workspace 10 silent, class:^(.*spotify.*)$
windowrulev2 = workspace 10 silent, class:^(im.riot.Riot)$
